2006-08-18  Rodney Dawes  <dobey@novell.com>

	* background.desktop.in.in: Use preferences-desktop-wallpaper as the
	icon name per the Icon Naming Specification
	* gnome-background-properties.glade: Set the icon name for the window
	to be preferences-desktop-wallpaper as per the naming spec
	* gnome-wp-capplet.[ch]: Remove GtkIconTheme instance from structure
	(gnome_wp_icon_theme_changed): Don't need this method any longer
	(wallpaper_properties_init): Remove unused variables
	Don't need to get the icon_info to load a pixbuf and set an icon, from
	the theme any longer, as we can just specify the icon with one call
	Don't need the extra _ensure_style call here

2006-08-18  Rodney Dawes  <dobey@novell.com>

	* gnome-wp-capplet.c (wallpaper_properties_init): Set the content area
	border to 0 in the parsed rc string
	Remove the set_border_width calls for the dialog's vbox and action area

	Fixes #332830

2006-03-18  Rodney Dawes  <dobey@novell.com>

	* gnome-wp-xml.c (gnome_wp_xml_load_list): Only pass G_FILE_TEST_IS_DIR
	to the g_file_test calls

	Fixes #331486

2006-02-11  Theppitak Karoonboonyanan  <thep@linux.thai.net>

	* gnome-background-properties.glade: Add the missing translatable flag
	in the Finish button.

2006-02-10  Rodney Dawes  <dobey@novell.com>

	* gnome-wp-capplet.c (wallpaper_properties_clicked): Add the missing
	GTK_RESPONSE_DELETE_EVENT back in so that we exit properly with it

2006-02-09  Rodney Dawes  <dobey@novell.com>

	* gnome-background-properties.glade: Replace the Apply/Cancel/OK
	buttons with a Finish button, using the stock apply icon

	* gnome-wp-capplet.c (gnome_wp_props_wp_set): Don't need to check if
	we are the same image as we were before now
	(gnome_wp_props_revert): Remove this as it is no longer needed
	(gnome_wp_props_wp_selected): Call the set function here
	(gnome_wp_main_quit): Remove the freeing of capplet->old_item
	(wallpaper_properties_clicked): Only handle GTK_RESPONSE_OK as an
	action to close the dialog now, as we are instant apply again
	(gnome_wp_scale_type_changed, gnome_wp_shade_type_changed):
	(gnome_wp_color_changed): Set the appropriate gconf keys here
	(gnome_wp_load_stuffs): Remove references to capplet->old_item

	* gnome-wp-capplet.h (struct _GnomeWPCapplet): Remove old_item object

	Fixes #327335, #330587 and #329818
	Partially fixes #330168

2006-01-26  Rodney Dawes  <dobey@novell.com>

	* gnome-wp-capplet.c (gnome_wp_capplet_scroll_to_item): If we are
	passed in a NULL just return rather than using g_return_if_fail to
	do it, so that we can avoid the glib CRITICAL warning (#327327)
	(gnome_wp_load_stuffs): If the settings are mangled some how, and
	a valid item was not duplicated, duplicated the "No Wallpaper" item

	Fixes #327327

2006-01-26  Rodney Dawes  <dobey@novell.com>

	* gnome-background-properties.glade: Add an Apply button

	* gnome-wp-capplet.[ch]: Replace old_filename with an old_item struct
	(gnome_wp_props_wp_set): Set the filename key to empty string when
	setting the background to "No Wallpaper"
	(gnome_wp_props_revert): New method to revert changes in the dialog
	when the Cancel button is clicked
	(gnome_wp_main_quit): Free the old_item structure
	(wallpaper_properties_clicked): Handle the Apply button
	Handle closing the dialog for OK separately from Cancel/delete_event
	Revert the settings when Cancel or wm "x" or ESC are clicked
	(gnome_wp_load_stuffs): Set the old_item to the currently selected
	background setting, whether it be an image or "No Wallpaper"

	* gnome-wp-info.c (gnome_wp_info_dup): If info is NULL, just return
	NULL rather than trying to access members of an empty struct

	* gnome-wp-item.[ch] (gnome_wp_item_dup): New method to create a
	duplicate and newly allocated GnomeWPItem structure

	Fixes #327335
	
2006-01-14  Rodney Dawes  <dobey@novell.com>

	* gnome-background-properties.glade: Set the visibility of the second
	color chooser button to off by default

	Fixes #319463

2006-01-14  Rodney Dawes  <dobey@novell.com>

	* *.[ch]: Update Copyright notice to include 2006 year

	* gnome-background-properties.glade: Change the main dialog to use
	explicit apply with OK and Cancel buttons
	Remove the icons from the "Add Wallpaper" and "Remove" buttons

	* gnome-wp-capplet.c (gnome_wp_props_wp_set): Add a new retval boolean
	so that we can return whether or not we are trying to set the wallpaper
	to the same image filename as before
	Remove all the UI updating code from here
	Fix a potential leak of the GConfChangeSet object
	(gnome_wp_props_wp_selected): Update the UI whenever a different
	wallpaper is selected in the list
	Remove the timeout to update gconf, as we are using explicit apply now
	(gnome_wp_main_quit): Free the old_filename variable
	Update the indentation style to match the rest of the code
	(wallpaper_properties_clicked): Handle setting the gconf keys when the
	OK button is clicked, and fall through to the cancel/close code
	(gnome_wp_scale_type_changed, gnome_wp_shade_type_changed):
	Don't set the gconf strings from here, only update when OK is clicked
	(gnome_wp_color_changed): Don't update gconf strings here
	Don't generate miniature icon thumbnails for the drop-down menu
	(gnome_wp_remove_wallpaper): Don't need to remove the idle id any more
	(gnome_wp_load_stuffs): Set the old_filename variable to the current
	setting that is stored in gconf for the wallpaper filename
	(gnome_wp_delay_changed): Remove this unused method
	(gnome_wp_icon_theme_changed): Don't need to update the icons in the
	drop-down menu here, as they are being removed
	(set_accessible_name): Don't need this any longer, as the drop-down
	menu items are now standard label menu items, and don't have icons
	(wallpaper_properties_init): No longer need the key repeat delay
	Fix some style issues with the glade_xml_get_widget calls
	Replace the menu items in the option menus with standard label items

	* gnome-wp-capplet.h (_GnomeWPCapplet): Remove the no longer needed
	Widget variables for updating the drop-down menu icons
	Remove the no longer needed delay and idleid variables
	Add an old_filename variable to compare against when OK is clicked

	Also should fix #316697

2006-01-14  Alan Swanson <swanson@ukfsn.org>

	* gnome-wp-capplet.c (gnome_wp_option_menu_set): Check for the scale
	type being zoom in the config, to set the option menu
	(gnome_wp_scale_type_changed): Update the options for zoom type
	(gnome_wp_icon_theme_changed): Update the zoom icon in the menu
	(wallpaper_properties_init): Add an item for Zoom to the scaling menu

	* gnome-wp-capplet.h (_GnomeWPCapplet): Add a widget for the zoom item
	(GnomeWPScaleType): Add an enumeration for the zoom type

	* gnome-wp-item.c (gnome_wp_item_get_thumbnail): Add the code to
	generate a proper thumbnail for the new zoom option

	Fixes #105231
	
2005-10-05  Dennis Cranston  <dennis_cranston@yahoo.com>

	* gnome-wp-capplet.c (wallpaper_properties_init):  Add an image
	filter to the file chooser.
	
2005-10-01  Rodney Dawes  <dobey@novell.com>

	* gnome-wp-capplet.c (gnome_wp_add_image): Remove utf8 validate check
	(gnome_wp_props_wp_set): If the filename we have for the image is not
	valid utf8, convert it to utf8 before setting the key in gconf
	(gnome_wp_load_stuffs, gnome_wp_file_changed): Make sure that the
	filename is valid utf8 and the file exists with utf8 encoding, or fall
	back to filename encoding as specified by the user with glib's
	environment variables

	* gnome-wpitem.c (gnome_wp_item_new): Make sure that the name field
	is always utf8 for displaying to the user with the tree view

	* gnome-wp-xml.c (gnome_wp_xml_load_xml): Make sure that the
	filename is valid utf8 and the file exists with utf8 encoding, or fall
	back to filename encoding as specified by the user with glib's
	environment variables
	(gnome_wp_xml_save_list): If the filename is not valid utf8, then
	convert to utf8 for storing in the XML file

	Fixes #168604

2005-09-06  Rodney Dawes  <dobey@novell.com>

	* gnome-wp-capplet.c (wallpaper_properties_init): Set the style
	property "action-area-border" for the GtkDialogs here

	"Fixes" #313680

2005-08-21  Rodney Dawes  <dobey@novell.com>

	* gnome-wp-capplet.c (gnome_wp_option_menu_set): If the value for
	the "picture_options" key is set to "none", don't set the optin menu
	for the scaling options to tiled

	Fixes #313883

2005-08-17  Rodney Dawes  <dobey@novell.com>

	* gnome-wp-capplet.c (wallpaper_properties_init): Replace the changing
	of some GtkDialog defaults through style properties with calls to
	gtk_widget_ensure_style and gtk_container_set_border_width

	Fixes #313680

2005-08-15  Veerapuram Varadhan <vvaradhan@novell.com>

	* gnome-wp-capplet.c (gnome_wp_props_wp_set):
	(gnome_wp_color[12]_changed, gnome_wp_options_changed):
	(gnome_wp_shading_changed, wallpaper_properties_init):
	Enable/disable the style-menu, shading-menu and color-picker
	buttons w.r.t gconf-keys.
	(gnome_wp_set_sensitivities): Utility function to take care of
	enabling/disabling widgets w.r.t gconf-keys.
	(gnome_wp_props_wp_set): Don't set the sensitivity of the remove and
	style buttons here. Just call the new method to do it instead

2005-07-25  Sebastien Bacher <seb128@debian.org>

	* gnome-wp-capplet.c (gnome_wp_{scale,shade}_type_changed):
	Update for the changed signal of the option menus
	(wallpaper_properties_init): Connect to the changed signal of
	the scale and color style option menus

	Fixes #157396

2005-07-25  Sebastien Bacher <seb128@debian.org>

	* gnome-background-properties.glade: Replace GnomeColorPicker with
	the GtkColorButton widget
	Some properties were added by newer version of glade

	* gnome-wp-capplet.c (gnome_wp_props_wp_set):
	(gnome_wp_[s]color_changed, gnome_wp_color[12]_changed):
	(gnome_wp_load_stuffs, wallpaper_properties_init):
	Update to use the API for GtkColorButton instead of GnomeColorPicker

	Fixes #171676

2005-07-14  Rodney Dawes  <dobey@novell.com>

	* gnome-wp-xml.c (gnome_wp_xml_load_xml): If xmlParseFile returns
	NULL, then just return, rather than trying to parse the document

	Fixes #310041

2005-07-13  Rodney Dawes  <dobey@novell.com>

	* gnome-wp-info.c (gnome_wp_info_new): Pass the md5sum to the call
	to g_strconcat to create the path to the thumbnail file

	Fixes #310293

2005-07-10  Rodney Dawes  <dobey@novell.com>

	* gnome-wp-capplet.[ch]:
	(gnome_wp_icon_theme_changed):
	(wallpaper_properties_init):
	Update to use GtkIconTheme rather than GnomeIconTheme
	Based on patch from Jan de Groot

	Fixes #171677

2005-07-10  Rodney Dawes  <dobey@novell.com>

	* gnome-wp-info.c (gnome_wp_info_new): Fix some memory leaks by using
	a separate variable to store the escaped path, and md5sum

	* gnome-wp-item.c (gnome_wp_item_get_thumbnail): Fix a couple of
	memory leaks by using a separate variable to store the escaped path
	Don't unref the pixbuf from the thumbnail generation, and then try
	to load it again after saving

2005-06-14  Rodney Dawes  <dobey@novell.com>

	* gnome-wp-info.c (gnome_wp_info_new): Revert undocumented, unapproved
	change from Sebastian Bacher committed on 2005-05-22
	
2005-02-26  Rodney Dawes  <dobey@novell.com>

	* *.[ch]: Update Copyright to include current year

2005-02-26  Rodney Dawes  <dobey@novell.com>

	* gnome-wp-capplet.c (gnome_wp_add_image): If the filename is not
	encoded in UTF-8, we just ignore it for now to avoid crashing

	* gnome-wp-xml.c (gnome_wp_xml_load_xml): Check to make sure that the
	filename and name tags that we read in, aren't NULL
	If the filename we read in is NULL, free the item, and continue on

	Fixes #146130 #146645 (resolving these as dups of #168604 )
	Fixes #159441

2005-02-06  Rodney Dawes  <dobey@novell.com>

	* gnome-wp-capplet.c (wallpaper_properties_init): Force using the gtk+
	backend for the file chooser since we don't support vfs yet

	Fixes #154978

2005-02-06  Rodney Dawes  <dobey@novell.com>

	* gnome-wp-capplet.c (gnome_wp_color_changed): Change the API to use
	the boolean argument to specify if we want to update gconf or not
	Always get the colors for both primary and secondary and update the
	thumbnail
	Only set the keys in gconf if we have the update boolean argument
	(gnome_wp_pcolor_changed): Removed this method, since we don't need
	to differentiate between primary/secondary for updating the thumbnail
	(gnome_wp_scolor_changed): When we change the color in the UI, we want
	to update gconf, we use this method for both color picker buttons now
	(gnome_wallpaper_properties_init): Use gnome_wp_scolor_changed for the
	callback on both color picker button widgets now

	Fixes #166486

2005-01-10  Rodney Dawes  <dobey@novell.com>

	* gnome-wp-xml.c (gnome_wp_xml_load_xml):
	Fix compile warning for syslangs declaration
	Wrap g_get_language_names in #if GLIB_CHECK_VERSION as it is 2.6 API

2005-01-09  Rodney Dawes  <dobey@novell.com>

	* gnome-wp-capplet.[ch] (gnome_wp_update_preview): Add new callback
	routine for when the preview widget in the file chooser needs an update
	(wallpaper_properties_init): Set the preview widget in the file chooser
	to a GtkImage object and connect to the update-preview signal for when
	the selected file changes
	- Based on patch from Sebastien Bacher <seb128@debian.org>

	Fixes #139714

2005-01-08  Rodney Dawes  <dobey@novell.com>

	* gnome-wp-capplet.c (wallpaper_properties_init): Preload the directory
	rather than nothing when adding directories for gconf notification

2005-01-08  Rodney Dawes  <dobey@novell.com>

	* background.desktop.in.in: Add %F to Exec command line

	* gnome-wp-capplet.[ch] (gnome_wp_remove_wp): Check that the tree path
	is not NULL before removing items from the list store
	(gnome_wp_load_stuffs): Don't duplicate the code from
	gnome_wp_add_image/gnome_wp_capplet_scroll_to_item  here
	Load any images we were passed on the command line, and free the
	GSList that they were stored in after doing so
	(gnome_wp_file_changed): Clean up to just call gnome_wp_add_image and
	gnome_wp_capplet_scroll_to_item rather than duplicating the code
	(wallpaper_properties_init): Take a poptContext argument now
	Parse the poptContext into a GSList for loading the images from
	(main): Use a clearer variable name for the GnomeProgram object
	Get the poptContext from the GnomeProgram object and pass it through
	to wallpaper_properties_init

	Fixes #120720

2005-01-08  Thomas Wood  <thos@gnome.org>

	* gnome-wp-xml.c (gnome_wp_xml_load_xml): Load translated XML
	description elements if available

	Fixes #160700

2005-01-08  Rodney Dawes  <dobey@novell.com>

	* gnome-wp-capplet.c (wallpaper_properties_init): Fix the leaks
	in the scaling type option menu creation correctly

2005-01-02  Thomas Cataldo  <thomas.cataldo@aliacom.fr>

	* gnome-wp-capplet.c (wallpaper_properties_init): plug icon
	filename leak.

2004-12-11  Rodney Dawes  <dobey@novell.com>

	* gnome-wp-item.c (gnome_wp_item_update_description):
	Fix the ngettext calling bit to actually work, and move the %d into
	the format string for g_strdup_print, so we don't say "%d pixels"

2004-12-10  Rodney Dawes  <dobey@novell.com>

	* gnome-wp-item.c (gnome_wp_item_update_description):
	Change the description to use "W pixels x H pixels" and ngettext for
	each individual part, instead of just "W x H pixels" (#151425)

	* gnome-wp-xml.c (gnome_wp_xml_load_xml): Don't duplicate check to
	make sure that the root element is not NULL

2004-11-09  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: install .desktop file in $(datadir)/applications.
	
	* background.desktop.in: add OnlyShowIn=GNOME;

2004-10-14  Jody Goldberg <jody@gnome.org>

	* Release 2.8.1

2004-10-14  Rodney Dawes  <dobey@novell.com>

	* gnome-wp-item.c (gnome_wp_item_update_description):
	Use g_markup_printf_escaped () to fill in the description

	Fixes #155184

2004-09-29  Rodney Dawes  <dobey@novell.com>

	* gnome-wp-item.c (gnome_wp_item_new): Unescape the filename so that
	we can laod the thumbnail and set the gconf key properly

	Fixes #154003

2004-09-22  Rodney Dawes  <dobey@novell.com>

	* gnome-wp-item.c (gnome_wp_item_free):
	Check that the colors aren't NULL before calling gdk_color_free

	* gnome-wp-xml.c (gnome_wp_xml_load_xml):
	Check that the item isn't already listed, before we try to add
	the wallpaper to the list
	(gnome_wp_xml_load_list): Load XML files from the correct directory 

2004-08-20  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* gnome-wp-capplet.c: (gnome_wp_icon_theme_changed),
	(wallpaper_properties_init):
	Use themed icon for window hint.

2004-08-16  Rodney Dawes  <dobey@novell.com>

	* gnome-wp-capplet.c (wallpaper_properties_clicked):
	Handle the GTK_RESPONSE_DELETE_EVENT case as well

	Fixes #150273

2004-08-15  Rodney Dawes  <dobey@novell.com>

	* gnome-wp-item.c (gnome_wp_item_update_description):
	Add "W x H pixels" to description, and remove file size
	Mark the description string for translation as well

2004-07-19  Rodney Dawes  <dobey@novell.com>

	* gnome-wp-capplet.c (gnome_wp_remove_wallpaper, gnome_wp_list_sort):
	Free what we get with gtk_tree_model_get

	Fixes #147403

2004-07-15  Rodney Dawes  <dobey@novell.com>

	* gnome-wp-item.c (gnome_wp_item_new):
	Check that item->fileinfo is not NULL, before trying to use a
	string variable inside the struct for a strncmp

	Fixes #147373

2004-06-28  Rodney Dawes  <dobey@novell.com>

	* *.[ch]: Update copyright info to have correct years (2003-2004)

	* gnome-wp-capplet.c (gnome_wp_capplet_scroll_to_item):
	Abstract this code out so that we don't have to duplicated it every
	time we want to scroll to a particular item in the list

	(gnome_wp_add_image): Update this to return the new item that we
	created, and don't scroll to or set as the wallpaper, every time we
	call this function
	Use the new gnome_wp_item_new () call to create items

	(gnome_wp_add_images): Change the API to not use the files argument
	any longer, as we don't need it without the GTK+ 2.2 compat code
	Add all the items to the list and select the last one when finished

	(gnome_wp_file_open_dialog): Update to not pass in the files argument
	to gnome_wp_add_images () and free the GSList of filenames

	(bg_add_multiple_files): merge this code into the normal callback for
	when images are dragged to the dialog

	(bg_properties_dragged_image): Don't check if the list is more than
	1 or not here, and always call gnome_wp_add_images () with the full
	list that we are given
	Convert the GList of GnomeVFSURIs that we get from gnome-vfs to a
	GSList of char * uris to pass into gnome_wp_add_images ()

	(gnome_wp_load_stuffs, gnome_wp_file_changed):
	Use the new gnome_wp_capplet_scroll_to_item () and gnome_wp_item_new ()
	API calls instead of duplicating code

	* gnome-wp-capplet.h: Remove the GConf key path defines from here

	* gnome-wp-item.[ch]: Add the gnome_wp_item_new () call to create the
	GnomeWPItem structure for storing wallpapers in

	* gnome-wp-utils.h: Put the GConf key path defines in here

	* gnome-wp-xml.c (gnome_wp_load_legacy): Use the gnome_wp_item_new ()
	call to create items from the old legacy (XD2 capplet) list file

2004-05-14  Muktha Narayan <muktha.narayan@wipro.com>

	* gnome-wp-capplet.c (set_accessible_name): New
	(wallpaper_properties_init): Add accessible names.

	Fixes #142517

2004-04-27  Rodney Dawes  <dobey@ximian.com>

	* gnome-wp-capplet.c (gnome_wp_file_open_dialog):
	(wallpaper_properties_init): Remove the #if checks for GTK+ 2.3.0 and
	get rid of the compatibility code for building against 2.2

2004-04-24  Rodney Dawes  <dobey@ximian.com>

	* gnome-wp-capplet.c (wallpaper_properties_init): Use the more correct
	"Add Wallpaper" term for the file chooser window title

	Fixes #135084

2004-04-15  Jody Goldberg <jody@gnome.org>

	* Release 2.6.1

2004-04-10  Rodney Dawes  <dobey@ximian.com>

	* gnome-wp-capplet.c (gnome_wp_list_sort): Use g_utf8_collate to sort
	the descriptions, rather than a strcmp, so that we follow the locale
	settings for LC_COLLATE

	Fixes #139517

2004-04-08  Rodney Dawes  <dobey@ximian.com>

	* gnome-wp-capplet.c (wallpaper_properties_init): Rever the previous
	patch to Fix #135084 as it breaks string freeze

2004-04-05  Rodney Dawes  <dobey@ximian.com>

	* gnome-wp-capplet.c (wallpaper_properties_init): Change file chooser
	dialog title to say "Add Wallpaper" instead of "Add Wallpapers"

	Fixes #135084

2004-04-05  Rodney Dawes  <dobey@ximian.com>

	* gnome-wp-capplet.c (gnome_wp_scale_type_changed): Regenerate the
	thumbnail in the list when we change scaling type now
	(wallpaper_properties_init): Add GtkFileFilter support (needs love)
	TreeView is buggy, so we need to not set the vertical-separator
	style property for it
	* gnome-wp-item.c: Include <config.h> and <gnome.h> here
	(collect_save_options): Add a function to set all of the pixbuf options
	for the thumbnail pixbuf properly, so we can save them back out
	(gnome_wp_item_get_thumbnail): Fix up the code to
	generate the thumbnails for the list a bit, so that we have sexy
	thumbnails that look exactly like how the image would, on-screen
	Initialize all of the width/height variables to 0
	Add a new pixbuf variable for loading the original image to get the
	dimensions of it, so we can do thumbnailing more properly
	Use a LIST_IMAGE_WIDTH define, for the width of the images in the list
	Just return the bgpixbuf if we are creating the "No Wallpaper" thumb
	Save the thumbnail back out with the dimensions for the original image
	If our image is smaller than the list thumbnail, then just use 1.0 as
	the ratio for scaling the image for tiling/etc...
	Use the new API to do scaling inside the center/tile functions
	Reload the thumbnail pixbuf after generating it with the thumbnail
	system, so that we get all of the pixbuf options set correctly
	* gnome-wp-item.h (GnomeWPItem): store the original image's width
	and height in the item, so we can avoid reopening the original image
	every time we generate the thumbnail, on systems where the thumbnail
	doesn't contain the appropriate information
	* gnome-wp-utils.c (gnome_wp_pixbuf_tile):
	(gnome_wp_pixbuf_center): Add API to do the scaling inside these calls

	Fixes #136691

2004-04-01  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.3

2004-03-30  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.1

2004-03-23  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0

2004-03-11  Jody Goldberg <jody@gnome.org>

	* Release 2.5.4

2004-03-04  Rodney Dawes  <dobey@ximian.com>

	* background-properties-capplet.c:
	* background-properties.glade:
	* background-properties.glade1:
	* background-properties.xml: Removed these old files from the old
	background capplet

2004-03-04  Rodney Dawes  <dobey@ximian.com>

	* gnome-wp-capplet.c (gnome_wp_add_image): Select the added image, and
	change the scaling type to "wallpaper" if it is "none" (#136228)

	Fixes #136228

2004-02-29  Rodney Dawes  <dobey@ximian.com>

	* gnome-wp-capplet.c (gnome_wp_add_image): Split out real image adding
	code into a separate call
	(gnome_wp_add_images):
	(gnome_wp_file_open_dialog):
	(gnome_wp_properties_init): Add support for GtkFileChooser (#135317)
	(bg_properties_dragged_image): Fix re-addition of deleted images
	* gnome-wp-capplet.h: Store the filesel widget in GnomeWPCapplet
	* gnome-wp-item.c: Fix warning about gnome_vfs_mime_get_description

	Fixes #135317

2004-02-24  Rodney Dawes  <dobey@ximian.com>

	* gnome-wp-info.c (gnome_wp_info_new):
	* gnome-wp-item.c (gnome_wp_item_get_thumbnail): Escape the path for
	thumbnails and fileinfo (#135089)

	Fixes #135089

2004-02-24  Rodney Dawes  <dobey@ximian.com>

	* gnome-wp-xml.c (gnome_wp_oad_legacy): Check that the file exists,
	and continue through the loop if it doesn't (#135251)

	Fixes #135251

2004-02-24  Rodney Dawes  <dobey@ximian.com>

	* gnome-wp-item.c (gnome_wp_item_get_thumbnail): Add some explanatory
	comments to bits of the code
	Fix the ratio calculation to handle images of all sizes (#134541)
	Don't force tiling of square images
	Don't do _save_thumbnail () for the custom thumbnails
	If pixbuf is NULL, copy away bgpixbuf and return that instead
	* gnome-wp-utils.c (gnome_wp_tile_pixbuf):
	(gnome_wp_center_pixbuf): Return copied pixbufs

	Fixes #134541

2004-02-17  Rodney Dawes  <dobey@ximian.com>

	* gnome-background-properties.glade: Use untranslated strings for
	the color picker dialog titles (glade bug set them to the translated
	versions of the strings)

	Fixes #134171

2003-12-07  Jan Arne Petersen  <jpetersen@uni-bonn.de>

	* background-properties-capplet.c: remove unused
	"preview_file_selection.h" include.

2004-02-13  Jody Goldberg <jody@gnome.org>

	* Release 2.5.3

2004-02-12  Mark McLoughlin  <mark@skynet.ie>

	* background-properties-capplet.c: (cb_dialog_response):
	* gnome-wp-capplet.c: (wallpaper_properties_clicked): Update help
	links to point to user-guide.xml

2004-02-04  Rodney Dawes  <dobey@ximian.com>

	* Makefile.am:
	* gnome-background-properties.glade:
	* gnome-wp-capplet.[ch]: Convert the main dialog UI to glade

2004-02-04  Rodney Dawes  <dobey@ximian.com>

	* background.desktop.in: Use "Desktop Background" as name and change
	  the Comment line to a verb phrase as per the HIG
	* gnome-wp-capplet.c (gnome_wp_load_stuffs): Fix a little bug so that
	  opening the capplet with "No Wallpaper" set, actually works
	  (wallpaper_properties_init): "Desktop Background Preferences"

2004-02-01  Rodney Dawes  <dobey@ximian.com>

	* Makefile.am: Switch the binary name to gnome-background-properties,
	  Based on patch from Seth Nickell
	* background.desktop.in: Use gnome-background-properties here also,
	  based on patch from Seth Nickell
	* gnome-wp-capplet.c: Fix a bug where you can't re-add a wallpaper
	  after you remove it
	  Use the new gnome_wp_item_update_description () call
	  Use a GConfChangeSet to change the gconf keys, based on a patch
	  from Seth Nickell
	  Select the first item in the list ("No Wallpaper") when the wallpaper
	  is removed, based on a patch from Seth Nickell
	  Do the rc string parsing before creating the window, and change some
	  defaults so we can fix the spacing between widgets and the border
	  Fix spacing between widgets and window border
	* gnome-wp-item.[ch]: Add update_description function to clean up
	  code, based on patch from Seth Nickell
	  Fix a crash when trying to thumbnail very wide images that are very
	  short, while trying to maintain aspect ratio
	* gnome-wp-xml.c: Use backgrounds.xml instead of wp-list.xml, and
	  migrate the old wp-list.xml over if backgrounds.xml doesn't exist
	  yet, based on patch from Seth Nickell

2004-01-18  Rodney Dawes  <dobey@ximian.com>

	* gnome-wp-capplet.c: Enable the Help button (#131286)

2004-01-16  Christophe Merlet  <redfox@redfoxcenter.org>

	* Makefile.am: add DESTDIR variable in install-data-local section.

2004-01-14  Jody Goldberg <jody@gnome.org>

	* Release 2.5.2

2004-01-12  Rodney Dawes  <dobey@ximian.com>

	* gnome-wp-xml.c (gnome_wp_load_legacy): Fix previous change to
	use gnome_wp_item_free () instead of g_free (), and fix tab width

2004-01-12  Diego Gonzalez <diego@pemas.net>

	* gnome-wp-xml.c (gnome_wp_load_legacy): don't crash if we could
	  not get the file information.

2004-01-12  Jody Goldberg <jody@gnome.org>

	* Makefile.am : As long as we're hard coding the path hard code it in
	  only one place.  Passing in datadir then adding the magic subdir in
	  C then building in Makefile seems unnecessary.
	  Use GNOMECC_CAPPLETS_*

2004-01-12  Rodney Dawes  <dobey@ximian.com>

	* Makefile.am: Add install hook to create data directory

2004-01-12  Rodney Dawes  <dobey@ximian.com>

	* Makefile.am: Update for new capplet
	* background.desktop.in: Update Name/Comment/Exec entries
	* gnome-wp-capplet.[ch]:
	* gnome-wp-info.[ch]:
	* gnome-wp-item.[ch]:
	* gnome-wp-utils.[ch]:
	* gnome-wp-xml.[ch]: Add new capplet code to CVS

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1.1

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1

Fri Nov 21 09:42:19 2003  Jonathan Blandford  <jrb@gnome.org>

	* background-properties.glade: Remove translatable radiobutton
	strings, #119288

2003-10-28  Jody Goldberg <jody@gnome.org>

	* Release 2.5.0

2003-08-01  Dennis Cranston  <dennis_cranston at yahoo com>

	* background-properties-capplet.c, background-properties.glade: 
	Patch to fix spacing between action area and vbox of preferences 
	dialog.
	
2003-07-17  Dennis Cranston <dennis_cranston at yahoo com>

	* background-properties.glade, 
	  background-properties-capplet.c:  Fixes for ui-review
	  bug report #98916 and duplicate mnemonic fixes.
	  
2003-07-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.4

2003-06-24  Jody Goldberg <jody@gnome.org>

	* Release 2.3.3

2003-05-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.1

Tue Feb  4 17:09:18 2003  Jonathan Blandford  <jrb@redhat.com>

	* Release 2.2.0.1

Tue Jan 21 01:15:14 2003  Jonathan Blandford  <jrb@gnome.org>

	* Release 2.2.0

Thu Jan 16 02:41:09 2003  Jonathan Blandford  <jrb@gnome.org>

	* Release 2.1.7

2003-01-10  Jody Goldberg <jody@gnome.org>

	* Release 2.1.6

2002-12-18  Jody Goldberg <jody@gnome.org>

	* Release 2.1.5

2002-11-23  Jody Goldberg <jody@gnome.org>

	* Release 2.1.3

2002-11-13  Pasupathi Duraisamy <pasupathi.duraisamy@wipro.com>

	* background-properties-capplet.c (drag_data_received_cb):
	Reset Picture option to "Wall paper" only in the case of 
	"none" while DnD. Fixes #94329

2002-11-02  Jody Goldberg <jody@gnome.org>

	* Release 2.1.2

2002-10-21  Jody Goldberg <jody@gnome.org>

	* Release 2.1.1

2002-10-01  Jody Goldberg <jody@gnome.org>

	* Release 2.1.0.1

2002-08-21  Jody Goldberg <jody@gnome.org>

	* Release 2.1.0

2002-08-19  Ross Burton  <ross@burtonini.com>

	* background.desktop.in: Fix the desktop file so that it
	validates.

2002-07-12  Jody Goldberg <jody@gnome.org>

	* background-properties.glade : The last of the ui-review.

2002-07-02  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=84014
	* background-properties-capplet.c (drag_data_received_cb) : unescape
	  the path.

2002-06-27  Jody Goldberg <jody@gnome.org>

	* background-properties-capplet.c (main) : use capplet_set_icon.

2002-06-18  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=85628
	* background-properties-capplet.c (main) : The dialog
	    - should not be modal
	    - has no parent to destroy with
	    - and should have a seperator
	    - set default response

2002-06-17  Jody Goldberg <jody@gnome.org>

	* Release 2.0.0

2002-06-05  Gediminas Paulauskas <menesis@delfi.lt>

	* background-properties.glade: radiobutton1 and similar things should
	not be translatable.

2002-05-28  Satyajit Kanungo <satyajit.kanungo@wipro.com>

        * background-properties-capplet.c : Changed the help file link
          to get the help document from user-guide.

2002-05-26  Jody Goldberg <jody@gnome.org>

	* background-properties-capplet.c (cb_dialog_response) : improve
	  handling of help failures.

Sun May 26 11:29:14 2002  Jonathan Blandford  <jrb@gnome.org>

	* background-properties-capplet.c (main): use APPID instead of
	argv[0]

Thu May 16 02:25:03 2002  Jonathan Blandford  <jrb@gnome.org>

	* background-properties-capplet.c (drag_data_received_cb): accept
	drops from the nautilus patterns pallet.  There's something broken
	here, though.

2002-05-10  Jody Goldberg <jody@gnome.org>

	* background-properties.glade : merge in the missing atk patch.

2002-05-09  Jody Goldberg <jody@gnome.org>

	* background-properties-capplet.c (main) : add a help button.

2002-05-02  Dennis Cranston <dennis_cranston@yahoo.com>

 	* background-properties.glade: add a stock information image
	to the "You can drag image files..." text.

2002-05-08  Jody Goldberg <jody@gnome.org>

	* background-properties-capplet.c (cb_dialog_response) : new.
	(main) : support help.

2002-04-27  Seth Nickell  <snickell@stanford.edu>

	* background.desktop.in:

	Improve the comment.

2002-04-21  Rachel Hestilow  <hestilow@ximian.com>

	* background-properties-capplet.c (setup_dialog): Update for
	new enum peditor prototypes.

Wed Apr 10 18:06:35 2002  Jonathan Blandford  <jrb@gnome.org>

	* background.desktop.in (Exec): s/gnome2/gnome

Mon Apr  1 19:19:39 2002  Jonathan Blandford  <jrb@redhat.com>

	* background-properties-capplet.c (dialog_button_clicked_cb):
	handle GTK_RESPONSE_DELETE_EVENT

	* Makefile.am (bin_PROGRAMS):
	s/gnome2-background-properties/gnome-background-properties
	

2002-03-28  Richard Hestilow  <hestilow@ximian.com>

	* background-properties-capplet.c (create_dialog),
	background-properties.glade: Add mnemonics.
	(main): Set title to "Background Preferences".

2002-03-21  Seth Nickell  <snickell@stanford.edu>

	* background-properties-capplet.c: (main):

	Set the window icon.

2002-03-21  Seth Nickell  <snickell@stanford.edu>

	* background-properties-capplet.c: (string_to_orientation),
	(update_color_widget_labels_and_visibility),
	(peditor_value_changed), (setup_dialog), (create_dialog):
	* background-properties.glade:

	Recapture some of the more subtle interactions of "Seth's UI".
	Change colour labels when the gradient orientation changes,
	and use mnemonics so the capplet is accessible. Pad and space
	as designed.

	There are still at least two things wrong:

	1) Havoc & Jonathan convinced me that the large button with
	   label was wrong. This should instead look like:
	   http://beauty.stanford.edu/bg_button.png
	   The new format should be right for all image selectors, the
	   old mechanism had serious usability problems.
	2) "No Picture" should be the first toggle

2002-03-19  Richard Hestilow  <hestilow@ximian.com>

	* background-properties-capplet.c:
	(everywhere): Use an ApplierSet instead of passing around
	BGPreferences.
	(real_realize_cb): Call applier_set_redraw.
	(peditor_value_changed): Merge entry in set->prefs,
	and call applier_set_redraw if realized. Also, hide the second
	color option if shading type is solid.
	(setup_dialog): Set data for the second color selector.
	Also, update peditors for new UI.
	(create_dialog): Add previews and labels to radio buttons.
	(main): Create applier set. Also, connect to DnD signals.

	* background-properties.glade: Implement seth's new UI.
	
2002-03-14  Richard Hestilow  <hestilow@ximian.com>

	* background-properties-capplet.c (setup_dialog): Use new enum
	peditors, and convert to using the #defined gconf keys from
	preferences.h.

2002-03-09  Richard Hestilow  <hestilow@ximian.com>

	* background-properties-capplet.c (setup_dialog): Hook up
	the previewing file selector to the FileEntry.

2002-02-27  Kjartan Maraas  <kmaraas@gnome.org>

	* background-properties-capplet.c (main): s/PACKAGE/GETTEXT_PACKAGE/g
	* main.c: Same here.
	
2002-02-17  Bradford Hovinen  <hovinen@ximian.com>

	* background-properties-capplet.c (main)
	(dialog_button_clicked_cb): Switch to instant apply; remove apply
	button

2002-02-12  Lauris Kaplinski  <lauris@ximian.com>

	* background-properties-capplet.c (dialog_button_clicked_cb): Use
	GtkDialog instead of GnomeDialog

2002-02-06  Seth Nickell  <snickell@stanford.edu>

	* background-properties-capplet.c: (drag_motion_cb),
	(drag_leave_cb), (drag_data_received_cb),
	(change_background_type_toggles), (set_background_picture),
	(quit_cb), (main):
	* background-properties.glade:
	* background-properties.glade1:

	More fixes. Change layout in glade a bit, make DND work,
	fix widget previews.
	
2002-02-04  Lauris Kaplinski  <lauris@ximian.com>

	* background-properties-capplet.c (setup_color_widgets): Kill warning
	(set_background_image_preview): Use g_file_test, use g_object_unref
	instead of gdk_pixbuf_unref
	(image_filename_clicked): Use g_signal_connect
	(dialog_button_clicked_cb): Use GtkDialog instead of GnomeDialog
	(realize_2_cb): Comment out to kill warning
	(realize_cb): Ditto
	(real_realize_cb): Ditto
	(string_to_background_type): Treat NULL string as default
	(string_to_orientation): Ditto

2002-01-13  Seth Nickell  <snickell@stanford.edu>

	reviewed by: <delete if not using a buddy>

	* .cvsignore:
	* Makefile.am:
	* background-properties-capplet.c: (set_picture_is_present),
	(string_to_background_type), (background_type_to_string),
	(orientation_to_string), (string_to_orientation),
	(peditor_string_to_orientation), (peditor_orientation_to_string),
	(update_preview_widgets), (get_legacy_settings),
	(setup_color_widgets), (peditor_value_changed),
	(set_background_image_preview), (file_selector_cb),
	(image_filename_clicked), (background_type_toggled),
	(change_background_type_toggles), (background_type_changed),
	(create_dialog), (idle_draw), (dialog_button_clicked_cb), (main):
	* background-properties.glade:
	* background-properties.glade1:
	* background-properties.xml:

2002-01-28  Richard Hestilow  <hestilow@ximian.com>

	* Link to libbackground.la.
	
2002-01-17  Jakub Steiner <jimmac@ximian.com>

	* background-capplet.png: minor tweaks

2002-01-14  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am (bin_PROGRAMS): Rename binary gnome2-background-properties

2002-01-02  Bradford Hovinen  <hovinen@ximian.com>

	* background-properties-capplet.c (main): Removed call to set up
	session management - obsolete

2001-12-20  Bradford Hovinen  <hovinen@ximian.com>

	* background-properties-capplet.c: Update
	(main): Use a GtkDialog rather than a GnomeDialog
	(main): Don't put weak ref on gtk_main_quit
	(dialog_button_clicked_cb): Update
	Eliminate compiler warnings

	* Makefile.am: Update

	* background.desktop.in.in (Exec): Update

	* background-properties-capplet.c (dialog_button_clicked_cb):
	Remove call to apply_settings
	(apply_settings): Remove
	(main): Remove apply_only support

2001-12-19  Seth Nickell  <snickell@stanford.edu>

	* background.desktop.in.in:

	Add Categories field so it goes into the right location
	in the panel menus.

2001-12-18  Bradford Hovinen  <hovinen@ximian.com>

	* background-properties-capplet.c: Use gconf_client rather than
	gconf_engine
	(setup_dialog): Use correct path for enabled
	(main): Preload the background settings directory for performance
	Don't #include bonobo.h

	* background.schema: Update keys to use /desktop/gnome/background

	* background-properties-capplet.c (property_change_cb): Remove
	(create_dialog): Return GladeXML, not GtkWidget
	(setup_dialog): Put GladeXML in the signature rather than
	GtkWidget
	(peditor_value_changed): Retrieve color_frame directory rather
	than through Glade
	(real_realize_cb): Ditto
	(setup_dialog): Set color-frame rather than glade-data
	(main): Construct the preview applier here rather than in
	create_dialog
	(main): Unref the applier object when the dialog is destroyed
	(setup_dialog, create_dialog): Put the applier in the signature
	Use weak_ref rather than the destroy signal for all relevant
	objects
	Update GConf keys to use /desktop/gnome/background

2001-12-17  Bradford Hovinen  <hovinen@ximian.com>

	* background.desktop.in.in (Exec): Update

	* background-properties-capplet.c (setup_dialog): Don't hide
	opacity controls
	(dialog_button_clicked_cb): Apply settings after commiting the
	change set
	(peditor_value_changed): Implement
	(setup_dialog): Connect value-changed signals
	(setup_dialog): Store the applier in the preferences object
	(peditor_value_changed): Retrieve the applier from the preferences
	object and use it to apply settings on the preview widget
	(setup_dialog): Connect missing signal
	(setup_dialog): Enabled set_guard call
	(peditor_value_changed): Set the sensitivity of the color frame
	depending on the settings
	(peditor_value_changed): Use correct keys

	* background.schema: Added wallpaper-enabled

	* background-properties-capplet.c (create_dialog): Use
	prefs_widget rather than preview placeholder widget

2001-12-07  Bradford Hovinen  <hovinen@ximian.com>

	* background.schema: Fix default values

	* background-properties-capplet.c (main): Connect the destroy
	signal

	* background.schema: Fix type on opacity schema

	* background-properties-capplet.c (main): Remove use of
	capplet_init, instead do the initialization ourselves (note: this
	means we are no longer a Bonobo control)
	(dialog_button_clicked_cb): Implement
	(main): Show the dialog when we are done constructing it
	(main): NULL-terminate the dialog construction parameters

2001-10-19  Jakub Steiner <jimmac@ximian.com>

	* background-capplet.png: more clear brush

2001-10-12  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am ($(oaffile)): Make creation of the .oaf file generic

	* applier.c (render_to_screen): Use standard gdk and gdk_pixbuf
	rather than xlib and gdk_pixbuf_xlib
	(make_root_pixmap): Create a GdkPixmap
	(set_root_pixmap): Accept GdkPixmap and convert to X id

2001-09-28  Bradford Hovinen  <hovinen@ximian.com>

	* preferences.c (preferences_load_from_bonobo_db):
	(preferences_load_from_bonobo_pbag): Use BONOBO_RET_EX rather than
	RETURN_IF_EX; remove the definition of the latter macro

	* applier.c (fill_gradient): Copied from control center 1.4.0
	(render_background): Create the pixbuf first and then pass to
	fill_gradient
	(render_to_screen): Use XLIB_RGB_DITHER_MAX rather than
	GDK_RGB_DITHER_NORMAL

	* Makefile.am: Change the binary name to
	background-properties-control and create a wrapper script from
	../common/wrapper-script.in to be named
	background-properties-capplet
	Remove support for disabling bonobo-conf build

2001-09-22  Bradford Hovinen  <hovinen@ximian.com>

	* applier.c (run_render_pipeline): Create the root pixmap after we
	know about the gradient geometry
	(place_pixbuf):
	(tile_pixbuf): Fix calls to gdk_pixbuf_composite[_color]
	(render_wallpaper): Fix setting of pixbuf_xlate
	(render_background): Fix pixbuf_render_geom here in case the
	gradient geometry is small

2001-09-21  Bradford Hovinen  <hovinen@ximian.com>

	* applier.c: Total reorganization

2001-09-17  Bradford Hovinen  <hovinen@ximian.com>

	* preferences.c (preferences_save): Move from
	applier.c:output_compat_prefs; it really belongs here
	(preferences_class_init): Don't construct an applier here

	* background-properties-capplet.c (setup_dialog): Create a new
	applier for every dialog
	(create_dialog): Create applier locally, just for this one widget
	(apply_settings): Create applier locally and destroy on exit
	(main): Remove call to gnome_window_set_...

2001-09-14  Bradford Hovinen  <hovinen@ximian.com>

	* background-properties-capplet.c (property_change_cb): Use
	applier_render_color_p
	(real_realize_cb): Ditto
	(get_legacy_settings): Set the wallpaper_enabled flag based on the
	value of wallpaper_filename; use (none) as the default for
	wallpaper_filename
	(setup_dialog): Removed unused variable

	* applier.c (applier_render_color_p): Renamed from
	applier_render_gradient_p; check both solid color and gradient

	* preferences.c (preferences_need_color_opts): Removed; use
	applier_render_color_p instead

2001-09-13  Bradford Hovinen  <hovinen@ximian.com>

	* preferences.c (preferences_load_from_bonobo_db):
	(preferences_load_from_bonobo_pbag): Default to TRUE on enabled;
	check value of wallpaper_filename to set wallpaper_enabled if
	wallpaper_enabled could not be found

	* background-properties-capplet.c (setup_dialog):
	(apply_settings): Check for error condition after creating
	preferences object

	* preferences.c (preferences_destroy): Make this static
	(read_color_from_string): Made argument const
	(bonobo_color_to_gdk): Made argument const
	(DB_GET_VALUE): Removed
	(PB_GET_VALUE): Removed
	(preferences_load_from_bonobo_pbag): Use
	local_bonobo_property_bag_client_get_value_{color|filename}
	(preferences_new_from_bonobo_db):
	(preferences_new_from_bonobo_pbag): Deallocate object and return
	NULL if there was an error
	(local_bonobo_property_bag_client_get_value_color):
	(local_bonobo_property_bag_client_get_value_filename): Implement
	(MAKE_GET_SIMPLE): Implement (copy from bonobo-conf)
	(preferences_load_from_bonobo_pbag): Read enabled property
	(preferences_load_from_bonobo_pbag): Forgive wallpaper_enabled and
	enabled not being found

	* applier.c (applier_render_gradient_p): Implement
	(applier_destroy): Make this static

	* preferences.c (preferences_load_from_bonobo_db): Use
	bonobo_config_get_boolean rather than BONOBO_ARG_GET_BOOLEAN
	(DB_GET_VALUE ()). Ditto bonobo_config_get_long
	(preferences_load_from_bonobo_db): Pass ev pointer to each call to
	bonobo_config_get_*
	(preferences_load_from_bonobo_db): Check ev pointer after each
	call to bonobo_config_get_* and return if an exception is set
	(preferences_load_from_bonobo_db): Allow the enabled flag not to
	be present in the database since some older configurations don't
	have it included
	(all): Remove support for compiling without bonobo-conf

2001-09-07  Richard Hestilow  <hestilow@ximian.com>

	* background-properties.glade: Redid UI a bit to add new enabled
	checkbox.
	
	* background-properties.xml: Add default for "wallpaper_enabled".
	
	* preferences.[ch]: New function preferences_need_color_opts.
	(preferences_load_from_bonobo_db): Load wallpaper_enabled from
	bonobo-conf.
	(preferences_load_from_bonobo_pbag): Ditto.

	* applier.[ch]: New function applier_get_wallpaper_pixbuf
	(needed by preferences_need_color_opts, else pixbuf gets created
	twice).

	* background-properties-capplet.c (real_realize_cb): Set
	color frame sensitivity based on preferences_need_color_opts.
	(property_change_cb): Ditto.
	(setup_dialog): Add peditor/guard for wallpaper_enabled. Also,
	set glade object data on the preferences structure as well.
	
2001-09-03  Bradford Hovinen  <hovinen@ximian.com>

	* background-properties-capplet.c (setup_dialog): Apply
	preferences now if the preview widget is already realized

2001-08-28  Bradford Hovinen  <hovinen@ximian.com>

	* background-properties-capplet.c (get_legacy_settings): Retrieve
	the correct value for wallpaper_types

	* applier.c (output_compat_prefs): Output the correct value for
	wallpaperAlign

	* preferences.c (preferences_load_from_bonobo_pbag): Don't adjust
	the opacity if the opacity setting is invalid
	(preferences_load_from_bonobo_db): Ditto

2001-08-27  Bradford Hovinen  <hovinen@ximian.com>

	* background-properties-capplet.c (setup_dialog): Initialize/free
	the CORBA environment structure
	(real_realize_cb): Put into an idle handler, called by
	realize_2_cb, the new timeout handler

	* preferences.c (preferences_load_from_bonobo_pbag): 
	(preferences_load_from_bonobo_db): Extract from preferences_new_*

	* background-properties-capplet.c (property_change_cb):
	(realize_cb): Accept prefs structure in lieu of
	Bonobo_PropertyBag; don't reload the preferences structure from
	the property bag
	(property_change_cb): Call preferences_apply_event to modify the
	preferences structure appropriately
	(property_change_cb):
	(realize_cb): If the preferences structure is marked destroyed,
	just return
	(setup_dialog): Create a preferences structure from the property
	bag given and use that as the extra data passed to callbacks
	(realize_cb): Put into an idle handler real_realize_cb

	* preferences.c (preferences_apply_event): Implement

	* applier.c (output_compat_prefs): Make prefs const

	* applier.[ch]: Have applier_apply_prefs take a const Preferences
	structure

	* preferences.[ch]: Make preferences_clone take a const
	Preferences structure

2001-08-26  Bradford Hovinen  <hovinen@ximian.com>

	* applier.c (renderer_render_background): Remove debugging message
	(renderer_render_wallpaper): Ditto

2001-08-17  Bradford Hovinen  <hovinen@ximian.com>

	* applier.c (renderer_render_wallpaper): Adjust opacity value to
	0...255 scale

	* preferences.c (preferences_new_from_bonobo_pbag):
	(preferences_new_from_bonobo_db): Use correct check to disable
	opacity

2001-08-13  Richard Hestilow  <hestilow@ximian.com>

	* background-properties-capplet.c (setup_dialog): Really
	override enabled this time. Really.

2001-08-13  Richard Hestilow  <hestilow@ximian.com>
 
 	* applier.c (applier_apply_prefs): Only draw disabled message
 	if do_preview. Actually, the user will never see this because
 	the correct behavior (which is done) is to assume if they're
 	running capplet, prefs->enable should be TRUE. This is because
 	we are only honoring enable as a hacker-only setting.
 	(output_compat_prefs): Output the correct "Enable" setting.
 
 	* background-properties-capplet.c (get_legacy_settings): Support
 	the "Enabled" flag. 
 
 	* preferences.c (preferences_new_from_bonobo_db): Import the
 	"enabled" flag. Note that this is not bothered with in the _pbag
 	function, because that's from the Proxy settings, which is only
 	used for the GUI capplet, which always sets enabled to True, because
 	this is a hacker-only option. Got it?

	* background-properties.xml: Add "enabled".

2001-07-31  Chema Celorio  <chema@celorio.com>

	* Makefile.am (cappletname): add DISTDIR to install-data-local

2001-07-27  Bradford Hovinen  <hovinen@ximian.com>

	* background-properties-capplet.c (get_legacy_settings): Fix
	val_ulong in the gradient case

	* RELEASE : 1.5.2

2001-07-26  Bradford Hovinen  <hovinen@ximian.com>

	* applier.c (applier_apply_prefs): Don't try to load the wallpaper
	if it's not enabled

	* preferences.c (preferences_new_from_bonobo_pbag): Use
	bonobo_property_editor_client_get_value_*
	(preferences_new_from_bonobo_pbag): Set gradient_enabled properly
	from property bag
	(preferences_new_from_bonobo_pbag): Check for wallpaper == "(none)"
	(preferences_new_from_bonobo_db): Ditto above

	* applier.c (renderer_render_wallpaper): Restore some lost tweaks
	from earlier.

	* preferences.c (preferences_init): strdup the home directory

	* applier.c: Store preview widget in the renderer, not the applier
	itself

	* background-properties-capplet.c (create_dialog): Add a "(none)"
	string to the history

2001-07-26  Richard Hestilow  <hestilow@ximian.com>

	* applier.c: Remove all bonobo-conf stuff.

	* preferences.[ch]: New functions preferences_new_from_bonobo_pbag
	and preferences_new_from_bonobo_db.

2001-07-26  Bradford Hovinen  <hovinen@ximian.com>

	* background-properties.glade: Tweak borders and padding

	* applier.c (get_geometry): Tweak geometry settings
	(renderer_render_wallpaper): Rendering geometry fixes
	(renderer_render_wallpaper): Remove debugging code

	* background-properties-capplet.c (property_change_cb): Accept
	applier as argument; retrieve property bag from applier
	(realize_cb): Retrieve applier from widget
	(setup_dialog): Store property bag in applier

	* applier.c (renderer_new): Store applier inside renderer; accept
	applier as function parameter

	* background-properties-capplet.c (create_dialog): Store the
	applier inside the widget

	* applier.c (struct _ApplierPrivate ): Define preview_widget here
	rather than globally
	(applier_get_preview_widget): Make this a method of the applier class

2001-07-25  Chema Celorio  <chema@celorio.com>

	* Makefile.am ($(oaffile)): remove the oaffile_IN_RULE macro and copy
	it here
	* Makefile.am: remove the DESKTOP_IN_RULE and copy the sed here

2001-07-24  Bradford Hovinen  <hovinen@ximian.com>

	* main.c (setup_dialog): Use bonobo_peditor_option_menu_construct

2001-07-25  Richard Hestilow  <hestilow@ximian.com>

	* main.c (setup_dialog): Hide opacity settings for now.
	
	* background-properties.glade: Rename opacity label. 

2001-07-24  Richard Hestilow  <hestilow@ximian.com>

	* applier.c (output_compat_prefs): Write to gnome-config to make
	nautilus happy. 
	(applier_apply_prefs): Change of is_nautilus_running handling
	logic to still output legacy settings. Also, call
	output_compat_prefs if is_root
.
2001-07-24  Richard Hestilow  <hestilow@ximian.com>
	
	* main.c (main): Pass in legacy files to capplet_init.

2001-07-23  Bradford Hovinen  <hovinen@ximian.com>

	* applier.c (renderer_render_wallpaper): Don't adjust pixmap width

2001-07-20  Chema Celorio  <chema@celorio.com>

	* RELEASE : 1.5.0

2001-07-19  Chema Celorio  <chema@celorio.com>

	* Makefile.am (cappletname): make distcheck love

2001-07-19  Richard Hestilow  <hestilow@ximian.com>

	* main.c: Add compatibility "-b" argument.

2001-07-19  Richard Hestilow  <hestilow@ximian.com>
	
	* applier.c: remove debugging spew

	* main.c (get_legacy_settings): Fix for FileName corba type.
	(apply_settings): Check to make sure applier exists.

2001-07-19  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am: Rename binary to background-properties

2001-07-19  Richard Hestilow  <hestilow@ximian.com>
	
	* background-properties.desktop.in.in: Change exec string for
	bonobo-conf.
 
2001-07-19  Richard Hestilow  <hestilow@ximian.com>
	
	* bonobo-conf rewrite.
 
2001-07-19  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am: Remove SUBDIRS
	(background_properties_SOURCES): Added missing applier.h

	* prefs-widget.c: Remove references to auto apply feature

	* applier.c (get_geometry): Use vwidth and vheight rather than
	dwidth and dheight when computing aspect ratio
	(get_geometry): Adjust rwidth and rheight according to above change

	* preferences.c (preferences_changed): Disable auto-apply

	* background-properties.glade: Remove apply automatically check
	button; change "More Solid" to "More Opaque"

2001-07-17  Chema Celorio  <chema@celorio.com>

	* start

